%define name	gsysinfo
%define ver	2.0
%define rel	1
%define prefix 	/usr
Summary:	A GNOME panel applet to display system load, CPU usage, memory usage, and swapfile usage.
Name:		gsysinfo
Version:	%{ver}
Release:	%{rel}
Copyright:	GPL
Excludearch: sparc alpha
Requires: gnome-core
Group:	Applications/Monitors
URL: http://www.opensky.ca/gsysinfo
Source: gsysinfo-%{version}.tar.gz
#Patch: gsysinfo-makefile.patch
Packager: Brian L. Johnson <blj8@blj8.com>
Vendor: Jason Hildebrand <jdhildeb@undergrad.math.uwaterloo.ca>
BuildRoot: /var/tmp/%{name}-root

%description
This applet displays the system load average, current CPU usage, memory usage,
and swap usage, in the same style as the program xsysinfo by Gabor Herr (but as
a panel applet)

%prep

%setup
#%patch -p1

%build
make PREFIX=%{PREFIX}

%install

make PREFIX=%{prefix} DESTDIR=${RPM_BUILD_ROOT}  install
install -d ${RPM_BUILD_ROOT}/%{_docdir}/%{name}-%{ver}
pwd
install -c -m0444 LICENSE ${RPM_BUILD_ROOT}/%{_docdir}/%{name}-%{ver}/LICENSE
install -c -m0444 README ${RPM_BUILD_ROOT}/%{_docdir}/%{name}-%{ver}/README


%files
%{prefix}/bin/gsysinfo_applet
/etc/CORBA/servers/gsysinfo_applet.gnorba
%{prefix}/share/applets/Monitors/gsysinfo_applet.desktop
%doc
%{prefix}/share/gnome/help/gsysinfo_applet/C/properties-0.html
%{prefix}/share/gnome/help/gsysinfo_applet/C/properties-1.html
%{_docdir}/gsysinfo-%{ver}/LICENSE
%{_docdir}/gsysinfo-%{ver}/README

